using System;

class Program {
    static void Main(string[] args){
        string input = Console.ReadLine().Split(' ');
        int n = Convert.ToInt32(input[0]);
        int k = Convert.ToInt32(input[1]);
        int x = Convert.ToInt32(input[2]);

        string result = (x+1) + "";
        for(int i = 0; i < k; i++) result += " 1" ;
        for(int i = 0; i < n-k; i++) result += " " + x;
    }
}